For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
LogoLogo
BlogLogin
API Referencemedia

Create

POST
https://api.flockx.io/api/v1/media
POST
/api/v1/media
$curl -X POST https://api.flockx.io/api/v1/media \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "foo",
3 "created": "foo",
4 "modified": "foo",
5 "name": "foo",
6 "url": "foo",
7 "source_url": "foo",
8 "description": "foo",
9 "status": "foo",
10 "format": "",
11 "resource_type": "",
12 "width": 0,
13 "height": 0
14}
Was this page helpful?
Previous

Detail

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
namestringOptional<=256 charactersDefaults to
Name of the media item
source_urlstring or nullOptionalformat: "uri"1-2083 characters
Original source URL of the media
knowledge_graphstring or nullOptionalformat: "uuid"
ID of the knowledge graph to associate with.
descriptionstring or nullOptional
Description of the media
channelstring or nullOptionalformat: "uuid"
ID of the channel to associate with.
messagestring or nullOptionalformat: "uuid"
ID of the message to associate with.

Response

Successful Response
idstringformat: "uuid"
createdstringformat: "date-time"
modifiedstringformat: "date-time"
namestring or null<=256 characters
urlstring or nullformat: "uri"1-2083 characters

Preview/processed URL (e.g., JPG preview for PDFs)

source_urlstring or nullformat: "uri"1-2083 characters

Original file URL (e.g., the original PDF before processing)

descriptionstring or null
statusstring or nullRead-only

Human-readable status label

formatstring<=10 charactersDefaults to
resource_typestring<=10 charactersDefaults to
widthintegerDefaults to 0
heightintegerDefaults to 0

Errors

422
Unprocessable Entity Error